# vtkGDCMThreadedImageReader Class Reference

`#include <vtkGDCMThreadedImageReader.h>`

Inheritance diagram for vtkGDCMThreadedImageReader:
[legend]
Collaboration diagram for vtkGDCMThreadedImageReader:
[legend]

List of all members.

## Public Member Functions
virtual void | PrintSelf (ostream &os, vtkIndent indent)
| vtkBooleanMacro (UseShiftScale, int)
| vtkGetMacro (UseShiftScale, int)
| vtkSetMacro (UseShiftScale, int)
| vtkSetMacro (Scale, double)
| vtkSetMacro (Shift, double)
| vtkTypeRevisionMacro (vtkGDCMThreadedImageReader, vtkGDCMImageReader)
## Static Public Member Functions
static vtkGDCMThreadedImageReader * | New ()
## Protected Member Functions
| vtkGDCMThreadedImageReader ()
| ~vtkGDCMThreadedImageReader ()
void | ExecuteData (vtkDataObject *out)
void | ExecuteInformation ()
void | ReadFiles (unsigned int nfiles, const char *filenames[])
void | RequestDataCompat ()

## Constructor & Destructor Documentation

vtkGDCMThreadedImageReader::vtkGDCMThreadedImageReader | ( |  | ) | `[protected]`

vtkGDCMThreadedImageReader::~vtkGDCMThreadedImageReader | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkGDCMThreadedImageReader::ExecuteData | ( | vtkDataObject * | out | ) | `[protected]`

Reimplemented from vtkGDCMImageReader.

void vtkGDCMThreadedImageReader::ExecuteInformation | ( |  | ) | `[protected]`

Reimplemented from vtkGDCMImageReader.

static vtkGDCMThreadedImageReader* vtkGDCMThreadedImageReader::New | ( |  | ) | `[static]`

Reimplemented from vtkGDCMImageReader.

virtual void vtkGDCMThreadedImageReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent |
| ) |  |  | `[virtual]`

Reimplemented from vtkGDCMImageReader.

void vtkGDCMThreadedImageReader::ReadFiles | ( | unsigned int | nfiles,
|  | const char * | filenames[] |
| ) |  |  | `[protected]`

void vtkGDCMThreadedImageReader::RequestDataCompat | ( |  | ) | `[protected]`

Reimplemented from vtkGDCMImageReader.

vtkGDCMThreadedImageReader::vtkBooleanMacro | ( | UseShiftScale | ,
|  | int |  |
| ) |  |  |

vtkGDCMThreadedImageReader::vtkGetMacro | ( | UseShiftScale | ,
|  | int |  |
| ) |  |  |

vtkGDCMThreadedImageReader::vtkSetMacro | ( | UseShiftScale | ,
|  | int |  |
| ) |  |  |

vtkGDCMThreadedImageReader::vtkSetMacro | ( | Scale | ,
|  | double |  |
| ) |  |  |

vtkGDCMThreadedImageReader::vtkSetMacro | ( | Shift | ,
|  | double |  |
| ) |  |  |

vtkGDCMThreadedImageReader::vtkTypeRevisionMacro | ( | vtkGDCMThreadedImageReader | ,
|  | vtkGDCMImageReader |  |
| ) |  |  |

The documentation for this class was generated from the following file:

- vtkGDCMThreadedImageReader.h